@echo off
rem This is used only by the packaged scanner once installed.

set f=StrawberryPerl\perl\bin\perl.exe
if exist %f% goto run
set f=..\StrawberryPerl\perl\bin\perl.exe
if exist %f% goto run
set f=Strawberry\perl\bin\perl.exe
if exist %f% goto run
set f=..\Strawberry\perl\bin\perl.exe
if exist %f% goto run

echo.
echo This was intended to be run by the packaged scanner
goto exit

:run
%f% -x scanner.pl %1

:exit
set f=
